<form [formGroup]="loginForm" (ngSubmit)="login()">
    <div *ngIf="errorMessage" class="form-error-messages" style="display: inline;">
        {{errorMessage}}
    </div>
    <div>
        <label>Username:
            <input id="username" formControlName="username" placeholder="username" type="text" class="form-control"
                required />
            <div *ngIf="username?.invalid && (username?.dirty || username?.touched)" class="form-error-messages" style="display: inline;">
                <span *ngIf="username?.errors?.['required']">
                    Username is required.
                </span>
            </div>
        </label>
    </div>
  <div class="m-t-15">
        <label>Password:
            <input is="password" formControlName="password" placeholder="password" type="password"
                class="form-control" />
        </label>
    </div>

  <mat-progress-bar mode="indeterminate" *ngIf="loading"></mat-progress-bar>

  <div class="m-t-15">
    <button mat-raised-button color="primary" type="submit">Login</button>
  </div>
    <p class="text-muted">For testing purposes, please login with Username=username@someagency.gov and Password=123456.</p>
</form>
